%define upstream_name    Data-Validate-IP
%define upstream_version 0.25

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Lightweight IPv4 and IPv6 validation module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(NetAddr::IP) >= 4.0.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module collects ip validation routines to make input validation, and
untainting easier and more readable.

All functions return an untainted value if the test passes, and undef if it
fails. This means that you should always check for a defined status
explicitly. Don't assume the return will be true. (e.g. is_username('0'))

The value to test is always the first (and often only) argument.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.250.0-3pclos2017
- rebuild against updates

